package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 医院对象 fs_hospital
 * 
 * @author fs
 * @date 2023-06-01
 */
public class FsHospital extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long hospitalId;

    /** 医院名称 */
    @Excel(name = "医院名称")
    private String hospitalName;

    /** 医院类型 */
    @Excel(name = "医院类型")
    private Integer hospitalType;

    /** 医院等级 */
    @Excel(name = "医院等级")
    private Integer hospitalLevel;

    /** 简介 */
    @Excel(name = "简介")
    private String descs;

    /** 医院照片 */
    @Excel(name = "医院照片")
    private String imgUrl;

    /** 省市区 */
    @Excel(name = "省市区")
    private String cityIds;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String district;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    /** 维度 */
    @Excel(name = "维度")
    private String lat;

    /** 状态 0禁用 1正常 */
    @Excel(name = "状态 0禁用 1正常")
    private Integer status;

    /** 处方印章 */
    @Excel(name = "处方印章")
    private String sealUrl;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    public void setHospitalId(Long hospitalId) 
    {
        this.hospitalId = hospitalId;
    }

    public Long getHospitalId() 
    {
        return hospitalId;
    }
    public void setHospitalName(String hospitalName) 
    {
        this.hospitalName = hospitalName;
    }

    public String getHospitalName() 
    {
        return hospitalName;
    }
    public void setHospitalType(Integer hospitalType) 
    {
        this.hospitalType = hospitalType;
    }

    public Integer getHospitalType() 
    {
        return hospitalType;
    }
    public void setHospitalLevel(Integer hospitalLevel) 
    {
        this.hospitalLevel = hospitalLevel;
    }

    public Integer getHospitalLevel() 
    {
        return hospitalLevel;
    }
    public void setDescs(String descs) 
    {
        this.descs = descs;
    }

    public String getDescs() 
    {
        return descs;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setCityIds(String cityIds) 
    {
        this.cityIds = cityIds;
    }

    public String getCityIds() 
    {
        return cityIds;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setDistrict(String district) 
    {
        this.district = district;
    }

    public String getDistrict() 
    {
        return district;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLng(String lng) 
    {
        this.lng = lng;
    }

    public String getLng() 
    {
        return lng;
    }
    public void setLat(String lat) 
    {
        this.lat = lat;
    }

    public String getLat() 
    {
        return lat;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setSealUrl(String sealUrl) 
    {
        this.sealUrl = sealUrl;
    }

    public String getSealUrl() 
    {
        return sealUrl;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("hospitalId", getHospitalId())
            .append("hospitalName", getHospitalName())
            .append("hospitalType", getHospitalType())
            .append("hospitalLevel", getHospitalLevel())
            .append("descs", getDescs())
            .append("imgUrl", getImgUrl())
            .append("cityIds", getCityIds())
            .append("province", getProvince())
            .append("city", getCity())
            .append("district", getDistrict())
            .append("address", getAddress())
            .append("lng", getLng())
            .append("lat", getLat())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("sealUrl", getSealUrl())
            .append("phone", getPhone())
            .toString();
    }
}
